Page MenuHomePhabricator

Release RC Page filtering to non-ORES wikis
Closed, ResolvedPublic

Description

Collaboration Team had previously intended to release the RC Filter Improvements only to ORES wikis. But after discussing the matter, we intend instead to offer these improvements to all wikis. I'm creating this ticket so that we can air this plan fully with interested parties. Once we've got general approval, I'll nail down any details on the various tickets that need updating (most notably, T144457, which describes the current opt-in options and T150059, which discussed changes to other Preferences.)

Here are the main points of the new plan:

Enable ORES by default

See T158225: Enable the ORES good faith and damaging UI by default, on wikis that have these ORES models available (instead of behind a Beta Feature)

"New filters for edit review" beta option

The "New filters for edit review" beta option will continue to work more or less as described in T144457.

  • Selecting this option turns on the new filtering interface for RC Page ( and then for other review pages as they come on line).
  • Existing ORES beta users will automatically be opted in to the "New filters" beta.
  • On ORES wikis, "New filters" users will get the ORES filters as part of the new interface package automatically.
  • On non-ORES wikis, "New filters" users will get the non-ORES filters only. At such time as ORES is enabled on a given wiki, the new ORES filters will automatically be displayed for all "New filters" users on the pages for which the new filters have been implemented.
    • (On these newly minted ORES wikis, I don't think we'll want to offer "classic ORES" on the non-RC Page review pages—along with the related preferences. Since we don't plan to support this technology, it makes no sense to spread it and then just remove it. Though this wasn't something the team discussed. We could simply implement the plan on the new wikis as described above for the existing ORES wikis.)
  • The release plan will still go in phases. 1) pt.wiki, 2) the rest of the ORES wikis (order not decided), 3) all other wikis?

@Halfak and @Jdforrester-WMF, do you see anything you want to bring up? Refinements, objections... @Trizek-WMF, I think you missed the meeting where we discussed this, so please have a look.

Release

Group #1

Group #2: wikis with ORES enabled, excluding en.wp T158332
Group #3 T158333

  • English Wikipedia
  • non-ORES wikis

Group #4: remaining wikis with ORES enabled

Details

Related Objects

StatusAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
OpenNone
ResolvedJohan
ResolvedTrizek-WMF
Resolved jmatazzoni
ResolvedDannyH
ResolvedDannyH
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedPginer-WMF
Resolved jmatazzoni
ResolvedCatrope
ResolvedPginer-WMF
Resolved jmatazzoni
OpenNone
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
Resolved jmatazzoni
ResolvedCatrope
ResolvedCatrope
ResolvedSBisson
ResolvedHalfak
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
ResolvedCatrope
ResolvedNone

Event Timeline

jmatazzoni updated the task description. (Show Details)

This seems good to me.

jmatazzoni added a comment.EditedFeb 14 2017, 4:36 PM

The order of release is as follows, as per T150715:

First wiki

  • pt.wp

Group #2: wikis with ORES enabled, excluding en.wp

  • Persian Wikipedia
  • Dutch Wikipedia
  • Polish Wikipedia
  • Russian Wikipedia
  • Turkish Wikipedia
  • Wikidata
  • Czech Wikipedia (added recently--ck with @Halfak)

Group #3

  • en.wp
Group #4—non ORES
  • Everything else

@Catrope, does that look good to you? How do we know when it's time to move to the next group?

@Catrope, does that look good to you?

Looks good, thanks for putting this together.

How do we know when it's time to move to the next group?

After deploying to a group we'll wait at least a week for feedback and bug reports to come in. When we're satisfied that we have addressed all of (or enough of) the bugs and feedback, we'll set a date for moving to the next group. I feel like group1->group2 will probably take several weeks, and the later transitions will likely take less time.

Just to clarify: Will users on ORES-enabled wikis be able to opt-out of the new filters?

Just to clarify: Will users on ORES-enabled wikis be able to opt-out of the new filters?

Yes, this proposal does not merge or marry the RCFilters beta feature to ORES at all. Instead, it proposes that 1) the ORES beta feature preference be eliminated, with the non-intrusive parts (r markings and [Hide] probably good edits) made undisableable and the highlighting feature made an opt-in preference; and 2) an entirely separate, new beta feature preference be created for the new RCFilters UI.

Following up on what Roan said: If a user opts out of "New filters for edit review," they will still have ORES (in the form of the "r"s). Whether ORES highlighting is displayed depends on whether they are opted in to via the new "AI highlighting," or whatever we call it, preference.

Now, there is a question that I hadn't thought of. We said the new preference would be on the Watchlist Preferences page, and would control ORES shading for Watchlist and Contributions. We could

  1. Make it so that, if the user is not opted in to "New filters for edit review", then the Watchlist pref also gives them RC page ORES shading (even though it's not on the (Recent Changes Prefs page)
  2. Or we could just not provide "Classic" ORES shading on RC page at all—just make people take the new interface or don't do ORES on RC page.
  3. Or, I suppose we could have an RC page preference that, what, would get grayed out/disabled when you select "New filters for edit review"? (Can we do that? Because there's another prefernce that should work this way, but selecting one does not gray out he other -- it just informs you in the description that if you pick one the other one won't work.)

Note that the only people for whom this would be an issue are 1) people who had opted in to ORES and then, after being migrated to the new features, turned OFF "New filters" (because these folks would have ORES shading pref turned on by default in the migration) and 2) people who just decided they want to turn on AI shading, but either don't want the "New filters" or just don't know about them.

@Pginer-WMF, what do you think is the way to go here?

Quiddity removed a subscriber: Quiddity.Feb 14 2017, 8:43 PM

Currently, ORES setting are in the RecentChanges preferences. Highlighting prefs should probably be here and should be enabled by default for users who currently have the ORES beta feature enabled.

I'm not sure what would make the most sense from a branding point of view, but I think that adding a "new filters" RecentChanges preference on top of the ORES beta feature would probably make more sense to current ORES users.

If I understand correctly, users who have ORES on their wiki will have the filters under the "ORES" label on Beta features, and those who don't have ORES on their wiki will have "Recent Changes Filters" (or something similar) on Beta features. What if a wiki gets ORES in the meantime?

I think all of this will be confusing, especially when I see the options to opt-out a part of a Beta feature.

Trizek-WMF updated the task description. (Show Details)Feb 15 2017, 6:43 PM

I've edited the description according to my meeting with @jmatazzoni. Polish Wikipedia (which has applied for the test) and Portuguese Wikipedia (I'm still contacting that wiki) will have the first release.

Trizek-WMF renamed this task from Discussion: release RC Page filtering to non-ORES wikis AND make ORES default to Discussion: release RC Page filtering to non-ORES wikis.Feb 16 2017, 5:27 PM
Trizek-WMF changed the task status from Open to Stalled.
Trizek-WMF updated the task description. (Show Details)Feb 16 2017, 5:37 PM
jmatazzoni renamed this task from Discussion: release RC Page filtering to non-ORES wikis to Release RC Page filtering to non-ORES wikis.Feb 22 2017, 9:56 PM
Jdforrester-WMF changed the task status from Stalled to Open.Mar 18 2017, 2:54 AM

Drafted on the next Tech News (week 13).

Change 343439 had a related patch set uploaded (by Catrope):
[operations/mediawiki-config@master] Enable RCFilters beta feature on all wikis except wikidatawiki, nlwiki, cswiki, etwiki and hewiki

https://gerrit.wikimedia.org/r/343439

Trizek-WMF updated the task description. (Show Details)Apr 24 2017, 8:56 AM

Change 343439 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RCFilters beta feature on all wikis except wikidatawiki, nlwiki, cswiki, etwiki and hewiki

https://gerrit.wikimedia.org/r/343439

matej_suchanek added a subscriber: matej_suchanek.EditedApr 24 2017, 2:55 PM

https://cs.wikipedia.org/wiki/Speciální:Poslední_změny (cswiki RC) down for me with beta ORES enabled. Otherwise works. Not sure but may be related to the config change.

Already fixed in T163696, sorry for having bug reports spread.

Already fixed in T163696, sorry for having bug reports spread.

Perfect! :)

Trizek-WMF closed this task as Resolved.May 12 2017, 3:32 PM
Trizek-WMF claimed this task.

All wikis now have RC pages filtering.

Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 2 2018, 7:25 AM